Subject: Re: linux-next: build failure after merge of the final tree (namespace tree related)

From: [email-masked] (Eric W. Biederman)
Date: Thu, 12 May 2011 15:27:27 -0700

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> After merging the final tree, today's linux-next build (powerpc
> ppc44x_defconfig) failed like this:
>
> net/built-in.o: In function `get_net_ns_by_fd':
> (.text+0x11976): undefined reference to `netns_operations'
> net/built-in.o: In function `get_net_ns_by_fd':
> (.text+0x1197a): undefined reference to `netns_operations'
>
> netns_operations is only available if CONFIG_NET_NS is set ...
>
> Caused by commit f063052947f7 ("net: Allow setting the network namespace
> by fd").
>
> I applied the patch below for today.

How embarrassing.  I should have caught this one myself.

I have applied your patch.  

At some point I need to see what the impact of removing the various
CONFIG_XXX_NS defines is and get rid of them.  Their original purpose
was only to let administrators avoid buggy code, but most of the
namespaces are well beyond where that now and it seems those
CONFIG_XXX_NS defines are just causing trouble.  But not for 2.6.40.

Eric